﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Tutorial.AdvancedPlots;
using Tutorial.BasicPlots;

namespace Tutorial
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void btnLines_Click(object sender, RoutedEventArgs e)
        {
            LinesWindow win = new LinesWindow();
            win.Show();
        }

        private void btnColumns_Click(object sender, RoutedEventArgs e)
        {
            ColumnsWindow win = new ColumnsWindow();
            win.Show();
        }

        private void btnStackedColumns_Click(object sender, RoutedEventArgs e)
        {
            StackedColumnsWindow win = new StackedColumnsWindow();
            win.Show();
        }

        private void btnRows_Click(object sender, RoutedEventArgs e)
        {
            RowsWindow win = new RowsWindow();
            win.Show();
        }

        private void btnStackedArea_Click(object sender, RoutedEventArgs e)
        {
            StackedAreaWindow win = new StackedAreaWindow();
            win.Show();
        }

        private void btnStepLine_Click(object sender, RoutedEventArgs e)
        {
            StepLineWindow win = new StepLineWindow();
            win.Show();
        }

        private void btnScatter_Click(object sender, RoutedEventArgs e)
        {
            ScatterWindow win = new ScatterWindow();
            win.Show();
        }

        private void btnBubble_Click(object sender, RoutedEventArgs e)
        {
            BubbleWindow win = new BubbleWindow();
            win.Show();
        }

        private void btnFinancial_Click(object sender, RoutedEventArgs e)
        {
            FinancialWindow win = new FinancialWindow();
            win.Show();
        }

        private void btnPie_Click(object sender, RoutedEventArgs e)
        {
            PieWindow win = new PieWindow();
            win.Show();
        }

        private void btnDoughnut_Click(object sender, RoutedEventArgs e)
        {
            DoughnutWindow win = new DoughnutWindow();
            win.Show();
        }

        private void btnSolidGauge_Click(object sender, RoutedEventArgs e)
        {
            SolidGaugeWindow win = new SolidGaugeWindow();
            win.Show();
        }

        private void btnAngularGauge_Click(object sender, RoutedEventArgs e)
        {
            AngularGaugeWindow win = new AngularGaugeWindow();
            win.Show();
        }

        private void btnHeatMap_Click(object sender, RoutedEventArgs e)
        {
            HeatMapWindow win = new HeatMapWindow();
            win.Show();
        }

        private void btnGeoMap_Click(object sender, RoutedEventArgs e)
        {
            GeoMapWindow win = new GeoMapWindow();
             win.Show();
        }

        private void btnMaterialDesign_Click(object sender, RoutedEventArgs e)
        {
            MaterialDesignWindow win = new MaterialDesignWindow();
            win.Show();
        }

        private void btnSolidColor_Click(object sender, RoutedEventArgs e)
        {
            SolidColorWindow win = new SolidColorWindow();
            win.Show();
        }
    }
}
